
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <title>controller.config_instance module &#8212; DataMAx 0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-controller.config_instance">
<span id="controller-config-instance-module"></span><h1>controller.config_instance module<a class="headerlink" href="#module-controller.config_instance" title="Permalink to this headline">¶</a></h1>
<p>Config instance module.</p>
<div class="admonition seealso">
<p class="admonition-title">See also</p>
<p><a class="reference internal" href="controller.project.html#module-controller.project" title="controller.project"><code class="xref py py-func docutils literal notranslate"><span class="pre">project()</span></code></a> To manage projects</p>
<p><a class="reference internal" href="controller.config.html#module-controller.config" title="controller.config"><code class="xref py py-func docutils literal notranslate"><span class="pre">config()</span></code></a> To manage configuration of validation engine</p>
<p><a class="reference internal" href="controller.validation.html#module-controller.validation" title="controller.validation"><code class="xref py py-func docutils literal notranslate"><span class="pre">validation()</span></code></a> To execute the validations on S3 and Redshift.</p>
</div>
<dl class="function">
<dt id="controller.config_instance.index">
<code class="sig-prename descclassname">controller.config_instance.</code><code class="sig-name descname">index</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.config_instance.index" title="Permalink to this definition">¶</a></dt>
<dd><p>Fetch the instances of validation run in reverse chronological order.</p>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/config_instance/&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">  &quot;config_instances&quot;: [</span>
<span class="go">    {</span>
<span class="go">      &quot;config_id&quot;: 294,</span>
<span class="go">      &quot;created_by&quot;: null,</span>
<span class="go">      &quot;detail_schema_name&quot;: &quot;testing_stage&quot;,</span>
<span class="go">      &quot;detail_table_name&quot;: &quot;calls_4u_detail_2590&quot;,</span>
<span class="go">      &quot;end_date&quot;: &quot;Fri, 19 Jul 2019 15:04:54 GMT&quot;,</span>
<span class="go">      &quot;fail_count&quot;: 0,</span>
<span class="go">      &quot;failure_schema_name&quot;: null,</span>
<span class="go">      &quot;failure_table_name&quot;: null,</span>
<span class="go">      &quot;id&quot;: 2590,</span>
<span class="go">      &quot;rule_type&quot;: &quot;user_defined&quot;,</span>
<span class="go">      &quot;stage&quot;: 1,</span>
<span class="go">      &quot;start_date&quot;: &quot;Fri, 19 Jul 2019 15:04:47 GMT&quot;,</span>
<span class="go">      &quot;status&quot;: &quot;Completed&quot;,</span>
<span class="go">      &quot;success_count&quot;: 38862,</span>
<span class="go">      &quot;success_schema_name&quot;: null,</span>
<span class="go">      &quot;success_table_name&quot;: null,</span>
<span class="go">      &quot;target_schema&quot;: &quot;testing_stage&quot;,</span>
<span class="go">      &quot;target_table&quot;: &quot;calls_4u&quot;</span>
<span class="go">    },</span>
<span class="go">    {</span>
<span class="go">      &quot;config_id&quot;: 181,</span>
<span class="go">      &quot;created_by&quot;: null,</span>
<span class="go">      &quot;detail_schema_name&quot;: null,</span>
<span class="go">      &quot;detail_table_name&quot;: &quot;novartis-internal/Inputs/CDW/all_file/CALLS_4U.txt.gz_detail_2589&quot;,</span>
<span class="go">      &quot;end_date&quot;: &quot;Fri, 19 Jul 2019 15:04:45 GMT&quot;,</span>
<span class="go">      &quot;fail_count&quot;: 0,</span>
<span class="go">      &quot;failure_schema_name&quot;: null,</span>
<span class="go">      &quot;failure_table_name&quot;: null,</span>
<span class="go">      &quot;id&quot;: 2589,</span>
<span class="go">      &quot;rule_type&quot;: &quot;user_defined&quot;,</span>
<span class="go">      &quot;stage&quot;: 1,</span>
<span class="go">      &quot;start_date&quot;: &quot;Fri, 19 Jul 2019 15:04:44 GMT&quot;,</span>
<span class="go">      &quot;status&quot;: &quot;Completed&quot;,</span>
<span class="go">      &quot;success_count&quot;: null,</span>
<span class="go">      &quot;success_schema_name&quot;: null,</span>
<span class="go">      &quot;success_table_name&quot;: null,</span>
<span class="go">      &quot;target_schema&quot;: &quot;novartis-internal-new&quot;,</span>
<span class="go">      &quot;target_table&quot;: &quot;novartis-internal/Inputs/CDW/all_file/CALLS_4U.txt.gz&quot;</span>
<span class="go">    }</span>
<span class="go">  ]</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

<dl class="function">
<dt id="controller.config_instance.get">
<code class="sig-prename descclassname">controller.config_instance.</code><code class="sig-name descname">get</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.config_instance.get" title="Permalink to this definition">¶</a></dt>
<dd><p>Get the detail of a given instance id.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>config_instance_id</strong> (<em>int</em>) – instance id generated for a given validation run.</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/config_instance/get?id=2590&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">  &quot;config_instances&quot;: [</span>
<span class="go">    {</span>
<span class="go">      &quot;config_id&quot;: 294,</span>
<span class="go">      &quot;created_by&quot;: null,</span>
<span class="go">      &quot;detail_schema_name&quot;: &quot;testing_stage&quot;,</span>
<span class="go">      &quot;detail_table_name&quot;: &quot;calls_4u_detail_2590&quot;,</span>
<span class="go">      &quot;end_date&quot;: &quot;Fri, 19 Jul 2019 15:04:54 GMT&quot;,</span>
<span class="go">      &quot;fail_count&quot;: 0,</span>
<span class="go">      &quot;failure_schema_name&quot;: null,</span>
<span class="go">      &quot;failure_table_name&quot;: null,</span>
<span class="go">      &quot;id&quot;: 2590,</span>
<span class="go">      &quot;rule_type&quot;: &quot;user_defined&quot;,</span>
<span class="go">      &quot;stage&quot;: 1,</span>
<span class="go">      &quot;start_date&quot;: &quot;Fri, 19 Jul 2019 15:04:47 GMT&quot;,</span>
<span class="go">      &quot;status&quot;: &quot;Completed&quot;,</span>
<span class="go">      &quot;success_count&quot;: 38862,</span>
<span class="go">      &quot;success_schema_name&quot;: null,</span>
<span class="go">      &quot;success_table_name&quot;: null,</span>
<span class="go">      &quot;target_schema&quot;: &quot;testing_stage&quot;,</span>
<span class="go">      &quot;target_table&quot;: &quot;calls_4u&quot;</span>
<span class="go">    }</span>
<span class="go">  ],</span>
<span class="go">  &quot;rule_instances&quot;: [</span>
<span class="go">    {</span>
<span class="go">      &quot;config_instance_id&quot;: 2590,</span>
<span class="go">      &quot;end_date&quot;: &quot;Fri, 19 Jul 2019 15:04:50 GMT&quot;,</span>
<span class="go">      &quot;fail_count&quot;: 0,</span>
<span class="go">      &quot;id&quot;: 4601,</span>
<span class="go">      &quot;query&quot;: &quot;select False  as status,  &#39;&#39; as message, DMX_ID as DMX_ID from  testing_stage.calls_4u where MDM_ID is null or len(trim(MDM_ID)) = 0&quot;,</span>
<span class="go">      &quot;rule_id&quot;: 1035,</span>
<span class="go">      &quot;stage&quot;: 1,</span>
<span class="go">      &quot;start_date&quot;: &quot;Fri, 19 Jul 2019 15:04:50 GMT&quot;,</span>
<span class="go">      &quot;status&quot;: &quot;Completed&quot;</span>
<span class="go">    },</span>
<span class="go">    {</span>
<span class="go">      &quot;config_instance_id&quot;: 2590,</span>
<span class="go">      &quot;end_date&quot;: &quot;Fri, 19 Jul 2019 15:04:51 GMT&quot;,</span>
<span class="go">      &quot;fail_count&quot;: 0,</span>
<span class="go">      &quot;id&quot;: 4602,</span>
<span class="go">      &quot;query&quot;: &quot;select False  as status,  &#39;&#39; as message, DMX_ID as DMX_ID from  testing_stage.calls_4u where ZIP is null or len(trim(ZIP)) = 0&quot;,</span>
<span class="go">      &quot;rule_id&quot;: 1035,</span>
<span class="go">      &quot;stage&quot;: 1,</span>
<span class="go">      &quot;start_date&quot;: &quot;Fri, 19 Jul 2019 15:04:51 GMT&quot;,</span>
<span class="go">      &quot;status&quot;: &quot;Completed&quot;</span>
<span class="go">    }</span>
<span class="go">  ]</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

<dl class="function">
<dt id="controller.config_instance.get_by_config">
<code class="sig-prename descclassname">controller.config_instance.</code><code class="sig-name descname">get_by_config</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#controller.config_instance.get_by_config" title="Permalink to this definition">¶</a></dt>
<dd><p>Get the instances of validation run for a given config id.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>config_id</strong> (<em>int</em>) – id of the config id</p>
</dd>
</dl>
<p class="rubric">Examples</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="kn">import</span> <span class="nn">requests</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">requests</span><span class="o">.</span><span class="n">get</span><span class="p">(</span><span class="s1">&#39;http://localhost:5001/api/config_instance/get_by_config?id=294&#39;</span><span class="p">)</span>
<span class="go">{</span>
<span class="go">  &quot;config_instances&quot;: [</span>
<span class="go">    {</span>
<span class="go">      &quot;config_id&quot;: 294,</span>
<span class="go">      &quot;created_by&quot;: null,</span>
<span class="go">      &quot;detail_schema_name&quot;: &quot;testing_stage&quot;,</span>
<span class="go">      &quot;detail_table_name&quot;: &quot;calls_4u_detail_2590&quot;,</span>
<span class="go">      &quot;end_date&quot;: &quot;Fri, 19 Jul 2019 15:04:54 GMT&quot;,</span>
<span class="go">      &quot;fail_count&quot;: 0,</span>
<span class="go">      &quot;failure_schema_name&quot;: null,</span>
<span class="go">      &quot;failure_table_name&quot;: null,</span>
<span class="go">      &quot;id&quot;: 2590,</span>
<span class="go">      &quot;rule_type&quot;: &quot;user_defined&quot;,</span>
<span class="go">      &quot;stage&quot;: 1,</span>
<span class="go">      &quot;start_date&quot;: &quot;Fri, 19 Jul 2019 15:04:47 GMT&quot;,</span>
<span class="go">      &quot;status&quot;: &quot;Completed&quot;,</span>
<span class="go">      &quot;success_count&quot;: 38862,</span>
<span class="go">      &quot;success_schema_name&quot;: null,</span>
<span class="go">      &quot;success_table_name&quot;: null,</span>
<span class="go">      &quot;target_schema&quot;: &quot;testing_stage&quot;,</span>
<span class="go">      &quot;target_table&quot;: &quot;calls_4u&quot;</span>
<span class="go">    },</span>
<span class="go">    {</span>
<span class="go">      &quot;config_id&quot;: 294,</span>
<span class="go">      &quot;created_by&quot;: null,</span>
<span class="go">      &quot;detail_schema_name&quot;: &quot;testing_stage&quot;,</span>
<span class="go">      &quot;detail_table_name&quot;: &quot;calls_4u_detail_2588&quot;,</span>
<span class="go">      &quot;end_date&quot;: &quot;Fri, 19 Jul 2019 15:04:05 GMT&quot;,</span>
<span class="go">      &quot;fail_count&quot;: 0,</span>
<span class="go">      &quot;failure_schema_name&quot;: null,</span>
<span class="go">      &quot;failure_table_name&quot;: null,</span>
<span class="go">      &quot;id&quot;: 2588,</span>
<span class="go">      &quot;rule_type&quot;: &quot;user_defined&quot;,</span>
<span class="go">      &quot;stage&quot;: 1,</span>
<span class="go">      &quot;start_date&quot;: &quot;Fri, 19 Jul 2019 15:03:58 GMT&quot;,</span>
<span class="go">      &quot;status&quot;: &quot;Completed&quot;,</span>
<span class="go">      &quot;success_count&quot;: 38862,</span>
<span class="go">      &quot;success_schema_name&quot;: null,</span>
<span class="go">      &quot;success_table_name&quot;: null,</span>
<span class="go">      &quot;target_schema&quot;: &quot;testing_stage&quot;,</span>
<span class="go">      &quot;target_table&quot;: &quot;calls_4u&quot;</span>
<span class="go">    }</span>
<span class="go">  ]</span>
<span class="go">}</span>
</pre></div>
</div>
</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/controller.config_instance.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, AxtriaOne.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.3.1.
    </div>
  </body>
</html>